> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an one (/api/v1/warehouses/&#123;id&#125;)

> Get an one (/api/v1/warehouses/&#123;id&#125;)

### Path parameters

<ParamField path="id" type="integer (int32)" required>
  Warehouse ID
</ParamField>

### Responses

<ResponseField name="200" type="WarehouseResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/warehouses/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "city": null,
    "code": "string",
    "country": null,
    "created_at": "string",
    "id": 1,
    "is_active": true,
    "name": "string",
    "timezone": null,
    "warehouse_type": "string"
  }
  ```
</ResponseExample>
